<?php
/**
*	Nueva versiones
*	1.3 Creada por Tomas
*	- Añadido el target
*/
header("Expires: Tue, 03 Jul 2001 06:00:00 GMT");
header("Last-Modified: " . gmdate('D, d M Y H:i:s') . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
include('comunes/Paginacion.php');
// VARIABLES GLOBALES
$pagina = dame_valor_variable_global("pagina",0);
/*Leemos si nos llega un cambio en las rpp*/
	$rpp = $_SESSION['rpp'];
	if(isset($_POST['rpp']) || $rpp == NULL){
		$rpp = dame_valor_variable_global("rpp",20);
		$_SESSION['rpp'] = $rpp;
		$rpp = $_SESSION['rpp'];
	}
//---------------------
//Ahora llega el momento de dar de alta el banner si así se requiere
	$accion = dame_valor_variable_global('accion', '');
	$conexionBD = dame_valor_variable_global('conexionBD', false);
	if ($accion == 'crear_banner'){
		//Tenemos que crear el banner con los elementos recibidos
		$posicion = dame_valor_variable_global('posicion', -1);
		$orden = dame_valor_variable_global('orden', 0);
		$titulo = dame_valor_variable_global('titulo_banner', '');
		$url = dame_valor_variable_global('url_banner', '');
		$nombre = dame_valor_variable_global('nombre_banner', '');
		$condicion = dame_valor_variable_global('condicion', '');
		$codIdioma = dame_valor_variable_global('codIdioma',Shop::$configuracion->idioma);
		$target = dame_valor_variable_global('target','_blank');
		$directorio = dame_valor_variable_global('directorio','almacen_img/');
		//hacemos un cambio en el nombre
		$nombre = $directorio.$nombre;
		//Si tenemos los elementos necesarios, lo damos de alta
		if ($nombre != ''){
			$sentencia_sql = "INSERT INTO `banner` (`posicion`, `orden`, `url`, `titulo`, `imagen`, `activo`, `condicion`,`idioma`, `target`) VALUES ('$posicion', '$orden', '$url', '$titulo', '$nombre', '0', '$condicion','$codIdioma', '$target')";
			if ($conexionBD){
				$resultado = mysqli_query($conexionBD, $sentencia_sql);
			}
		}
	}else if ($accion == 'borrar_banner'){
		$cod_banner = dame_valor_variable_global("cod_banner", 0);
		$sentencia_sql = "DELETE FROM banner WHERE codigo = $cod_banner";
		if ($conexionBD){
			$resultado = mysqli_query($conexionBD, $sentencia_sql);
		}
	}else if ($accion == 'activar_banner'){
		$cod_banner = dame_valor_variable_global('cod_banner', 0);
		$sentencia_sql = "UPDATE banner SET activo = 1 WHERE codigo = $cod_banner";
		if ($conexionBD){
			$resultado = mysqli_query($conexionBD, $sentencia_sql);
		}
	}else if ($accion == 'desactivar_banner'){
		$cod_banner = dame_valor_variable_global('cod_banner', 0);
		$sentencia_sql = "UPDATE banner SET activo = 0 WHERE codigo = $cod_banner";
		if ($conexionBD){
			$resultado = mysqli_query($conexionBD, $sentencia_sql);
		}
	}else if($accion =='update_ban'){
		$cod_banner = dame_valor_variable_global('codigo', 0);
		//Tenemos que crear el banner con los elementos recibidos
		$posicion = dame_valor_variable_global('posicion', -1);
		$orden = dame_valor_variable_global('orden', 0);
		$titulo = dame_valor_variable_global('titulo_banner', '');
		$url = dame_valor_variable_global('url_banner', '');
		$nombre = dame_valor_variable_global('nombre_banner', '');
		$condicion = dame_valor_variable_global('condicion', '');
		$codIdioma = dame_valor_variable_global('codIdioma',Shop::$configuracion->idioma);
		$target = dame_valor_variable_global('target','_blank');
		$directorio = dame_valor_variable_global('directorio','almacen_img/');
		//hacemos un cambio en el nombre
		$nombre = $directorio.$nombre;

		$sentencia_sql = "UPDATE banner SET
		`posicion`= '$posicion',`orden`=$orden,
		`url`='$url',`titulo`= '$titulo',`condicion`= '$condicion',`idioma`='$codIdioma',`imagen`='$nombre', `target`= '$target'
		WHERE codigo = $cod_banner";
		//echo $sentencia_sql;
		if ($conexionBD){
			$resultado = mysqli_query($conexionBD, $sentencia_sql);
		}
	}
	//AVISO RECARGA
	if($accion != NULL){
		//header('location:' . $url_sin_parametros);
	}
//Comprobamos condicióm
if(isset($_SESSION['fcond'])){
	$fcond = $_SESSION['fcond'];
	$t = dame_valor_variable_global("f_cond",NULL);
	if(isset($t)){
		$_SESSION['fcond'] = $fcond = $t;
	}			
}else{
	$fcond = dame_valor_variable_global("f_cond","Ver todo");
	$_SESSION['fcond'] = $fcond;
}
//Comprobamos búsqueda
if(isset($_SESSION['busqueda'])){
	$busqueda = $_SESSION['busqueda'];
	$busqueda = dame_valor_variable_global("busqueda","");
	$_SESSION['busqueda'] = $busqueda;		
}else{
	$busqueda = dame_valor_variable_global("busqueda","");
	$_SESSION['$busqueda'] = $busqueda;
}
//Comprobamos carpeta_banner.
if(isset($_SESSION['carpeta_banner'])){
	$carpeta_banner = $_SESSION['carpeta_banner'];
	$ctemp = dame_valor_variable_global("carpeta_banner",NULL);
	if(isset($ctemp)){
		$_SESSION['carpeta_banner'] = $carpeta_banner = $ctemp;
	}
}else{
	$carpeta_banner = dame_valor_variable_global('carpeta_banner','Todas');
	$_SESSION['carpeta_banner'] = $carpeta_banner;
}
//echo "carpeta_banner:".$carpeta_banner;
$inicio = $rpp * $pagina;
$totales = 0;
$baners = array();
$condicion = array();
$carpeta_banners = array();
$where = "";
if ($busqueda != ""){
	$where .= "WHERE (`titulo` LIKE  '%$busqueda%' OR  `imagen` LIKE  '%$busqueda%' OR  `url` LIKE  '%$busqueda%')";
}
if($fcond != ''){
	//echo $fcond;
	if($fcond != "Ver todo"){
		if($where !=""){
			$where .= "AND condicion like '$fcond' " ;
		}else{
			$where .= "WHERE condicion like '$fcond'";
		}		
	}
}
if($carpeta_banner != ""){
	if($carpeta_banner != "Todas" && $carpeta_banner != '/'){
		if($where !=""){
			$where .="AND imagen like '%$carpeta_banner%' ";
		}
		
		if($where == ""){
			$where .="WHERE imagen like '%$carpeta_banner%'";
		}	
	}
	
}
// else{
	// $where = 1;
// }
            $sentencia_sql ="SELECT count(*) FROM `banner` $where";
			if ($conexionBD){
				if ( $resultado = mysqli_query($conexionBD, $sentencia_sql) ){
					$t = mysqli_fetch_array($resultado);
					$totales = $t[0];
				}
				 $sentencia_sql ="SELECT * FROM `banner` $where limit $inicio, $rpp";
				//echo $sentencia_sql;
				$baners = mysqli_query($conexionBD, $sentencia_sql);
				//Extraemos los distintos contenidos de condicion
				$sentencia_sql = "SELECT DISTINCT  `condicion` FROM banner";
				$resultado = mysqli_query($conexionBD, $sentencia_sql);
				while($fila = mysqli_fetch_array($resultado) ){
					if($fila['condicion'] != ''){
						
						$condicion[] = $fila['condicion'];
					}					
				}
				
				// Vamos a extraer solo la parte de las carpeta_banners que estan en el campo imagen
				$sentencia_sql="SELECT DISTINCT SUBSTR(  `imagen` , LOCATE(  '/',  `imagen` ) +1, (
						CHAR_LENGTH(  `imagen` ) - LOCATE(  '/', REVERSE(  `imagen` ) ) - LOCATE(  '/',  `imagen` ) )
						)as carpeta_banners FROM banner WHERE imagen REGEXP  '^([^/]*)/([^/]*)/(.*)$'ORDER BY carpeta_banners ASC";
				$resultado = mysqli_query($conexionBD, $sentencia_sql);
				while($fila = mysqli_fetch_array($resultado) ){
					$carpeta_banners[] = $fila['carpeta_banners'];
				}				
			}
$enlaces = Paginacion::getEnlacesPaginacion($pagina, $totales, $rpp, 'banners.php');

if ($todo_correcto){

	include_once('../comunes/globals.php');
	include('comunes/lista_widgets.php');
	
	//$configuracion = new Configuracion();
	//$empresa = new Empresa();
?>
		<script type="text/javascript">
			var imagen_cargada = false;
			//Vamos a inicializar las variables de configuración de imgUploader
			//No inicializamos ni ancho ni alto para que no se asigne ninguno de estos valores
			//var imagenWidth = 600;
			//var imageHeight = 600;
            var imageUrl = "<?=Shop::$configuracion->url;?>admin/consultas/insertar_imagen.php";
			var imageParams = "";
			var imageFinalFunction = function(objeto){
				var actual =   $("#directorioListado").text();
				//Tenemos que añadir la imagen y el botón de borrar a la lista
				var capa_temporal = $('<div id="'+objeto.fileName +'.png" class="imagen_f" draggable="true"	data-nombre="'+objeto.fileName +'.png"></div>');
				var enlace_temporal = $('<a href="javascript:void(0);" class="seleccionar" onclick="seleccionarFoto($(this))">seleccionar</a>');
				capa_temporal.append(enlace_temporal);
				var imagen_temporal = $('<img src="<?=Shop::$configuracion->url;?>'+actual+'/'+ objeto.fileName + '.png" />');
				capa_temporal.append(imagen_temporal);
				enlace_temporal = $('<a href="javascript:void(0);" class="borrar" onclick="delfoto($(this))">Borrar</a>');
				capa_temporal.append(enlace_temporal);
				$("#ficheros").append(capa_temporal);
				//lista_imagenes_banner
				//alert("SUBIDA");
			};
			var imageFormat = '.jpg';
			var imagePath = '../../almacen_img/';
			var imageUploadingText = 'Subiendo imagen';
		</script>
        <script type="text/javascript" src="<?=Shop::$configuracion->url?>admin/js/imgUploader.js"></script>
        <?php
        //include("comunes/header.php");
        ?>
		<script type="text/javascript">
			//Vamos a programar el borrado de las imágenes:
			$(document).ready(function(){
				//Control sobre el botón de borrar
				$("#lista_imagenes_banner a.borrar").on("click", function(){
					eliminar_foto(this);
				});
				//Control sobre el botón de seleccionar
				$("#lista_imagenes_banner a.seleccionar").on("click", function(){
					seleccionar_foto(this);
				});
			});
			function eliminar_foto(objeto){
				//Necesitamos la imagen inmediatamente anterior
				if ( $(objeto).parent().children("img")[0] != null ){
					var ruta_imagen = $(objeto).parent().children("img").prop("src");
					ruta_imagen = ruta_imagen.split("/");
					ruta_imagen = ruta_imagen[ruta_imagen.length - 1];
					//Vamos a lanzar un php que borre la imagen
                    consultaPHP("<?=Shop::$configuracion->url?>admin/consultas/borrar_imagen.php", "ruta_imagen=" + ruta_imagen, function(){});
					//Por último vamos a quitar la imagen
					$(objeto).parent().remove();
				}
			}

			function seleccionar_foto(objeto){
				//Comprobamos si el objeto hay que seleccionarlo o no
				var seleccionar_objeto = false;
				if ($(objeto).html() == "seleccionar"){
					seleccionar_objeto = true;
				}
				//Ahora ponemos todos los objetos como "seleccionar"
				$("#lista_imagenes_banner .foto_banner").css("background-color", "transparent");
				$("#lista_imagenes_banner .foto_banner a.seleccionar").html("seleccionar");
				//Limpiamos el campo oculto con el nombre de la imagen
				$('input[name="nombre_banner"]').prop("value", "");
				//Según si el botón es "seleccionar" o "deseleccionar" hacemos una cosa u otra
				if (seleccionar_objeto){
					$(objeto).html("deseleccionar");
					$(objeto).parent().css("background-color", "rgb(66, 115, 148)");
					//Vamos a coger la ruta de la imagen
					var ruta_imagen = $(objeto).parent().children("img").prop("src");
					ruta_imagen = ruta_imagen.split("/");
					ruta_imagen = ruta_imagen[ruta_imagen.length - 1];
					$('input[name="nombre_banner"]').prop("value", ruta_imagen);
					//Colocamos la imagen en la previa
					$("#img_prev").attr("src","<?=Shop::$configuracion->url?>almacen_img/"+ruta_imagen);
				}
				//Por último, ocultamos o mostramos el botón según convenga
				if (seleccionar_objeto){
					$("#botones_banner p").hide();
					$("#botones_banner input").show();
				}else{
					$("#botones_banner p").show();
					$("#botones_banner input").hide();
				}
			}
</script>  
<?php

?> 
    <div id="opciones_top">
        <div id="volver"><p><a href="<?=Shop::$configuracion->url;?>admin" class="back_btn"><span>Volver</span></a></p></div>
    </div>
	<!-- COMENZAMOS CON EL ARMINET FILE MANAGER -->
	<div id="armiManager">
		<h2>Arminet File Manager</h2>
			<div class="toolbar">
				<strong> Listando: <span id="directorioListado">/</span></strong>
				<button id="subirdir" class="btn-dir" title="Subir al directorio anterior"></button>
				<button id="añadirdir" class="btn-dir anadirdir" title="crear un nuevo directorio"></button>
				<button id="borrardir" class="btn-dir" title="Eliminar directorio"></button>
				<div class="fileReader" title="Subir una foto"></div>
			</div>
			<h4 class="aviso">Recuerde que solo puede arrastrar imagenes sobre directorios</h4>
			<div id="ficheros" class="ficheros">
		
			</div>
<div class="clearfix"></div>
	</div>
	<!-- formulario para añadir un banner -->
<div id="add_banner">
<br/>
	<h2 class="titulo">Gestor de Banners</h2>
	
	<div class="half-7">
		<h4>Formulario</h4>
		<h5 class="aviso_ban">Atención si selecciona una imagen y <strong>Modifica</strong> la imagen se aplicarán al baner que está editando</h5>
		<form action="<?=Shop::$configuracion->url;?>admin/banners.php" method="POST" id="form_crear_banner">
			<fieldset class="orden">
				<label class="opcion">Orden</label>
				<input type="text" name="orden" id="orden" value="0"/>
			</fieldset>
			<fieldset id="datos_banner">
				<span>
					<label>Titulo</label>
					<input type="text" name="titulo_banner" id="titulo_banner" />
				</span>
				<span>
					<label>URL</label>
					<input type="text" name="url_banner" id="url_banner" />
				</span>
				<span>
					<label>Condici&oacute;n</label>
					<input type="text" name="condicion" id="condicion" />
				</span>
	<?php
		$sentencia_sql = 'SELECT  `codigo` , `nombre`  FROM  `idioma` WHERE  `disponible` = TRUE';
	?>
				<span>
					<label for="select_idioma">Idioma</label>
					<select id="select_idioma" name="codIdioma">
	<?php 
	if ($conexionBD){
					if ( $resultado = mysqli_query($conexionBD, $sentencia_sql) ){
						//si este proceso a funcionado se muestra un mensaje que pone que se a insertado satisfactoriamente
						while($fila = mysqli_fetch_array($resultado)){
	?>
						<option value="<?= $fila['codigo'] ?>"><span  class="<?= $fila['codigo'] ?>"></span><?= $fila['nombre'] ?></option>
	<?php
						}
					}
	}
	?>
					</select>
				</span>
				<span class="seccion_target">
					<label>
						<?= traducir("Seleccione un target"); ?>
					</label>
					<select name="target">
					<option value="_blank">	_blank </option>
					<option value="_self"> _self </option>
					</select>
				</span>
			</fieldset>
			<fieldset id="botones_banner">
				<input type="submit" name="crear_codigo"  id="crear_codigo" value="Crear" />
				<input type="reset" name="reset"  id="reset" value="Reset" />
			</fieldset>
			<input type="hidden" name="nombre_banner" id="nombre_banner" value=""/>
			<input type="hidden" name="directorio" id="directorio" value=""/>
			<input type="hidden" id="accion" name="accion"  value="crear_banner"/>
			<input type="hidden" id="codigo" name="codigo"  value=""/>
		</form>
	</div>
	<div class="half-4">
	<h4>Imagen Actual</h4>
		<img id="img_prev" src="<?=Shop::$configuracion->url?>multi/200/190/" alt="imagen seleccionada" />
	</div>
	<div class="clearfix"></div>
</div>

<!-- Creamos los campos del buscador -->
<div class="area_busqueda">
	<div class="zona">
		<form action="<?=Shop::$configuracion->url;?>admin/banners.php" method="POST">
			<label>Buscar</label>
			<input name="busqueda" type="text" placeholder="nombre, condicion, url" value="<?= $busqueda ?>"/>
			<label>Selecciona una condición</label>
			<select id="f_cond" name="f_cond">
			<option>Ver todo</option>
			<?php
				foreach($condicion as $valor){
			?>
			<option <?=($valor == $fcond)?"selected='selected'" :"" ?>><?= $valor ?></option>
			<?php		
				}
			?>
			</select>
			<label>Selecciona una carpeta_banner</label>
			<select id="carpeta_banner" name="carpeta_banner">
			<option>Todas</option>
			<?php
				foreach($carpeta_banners as $valor){
			?>
			<option <?=($valor == $carpeta_banner)?"selected='selected'" :"" ?>><?= $valor ?></option>
			<?php		
				}
			?>
			</select>
			<input type="submit" value="Buscar" />
			<label>Elementos por pagina</label>
			<select id="rpp" name="rpp">
				<option value="<?=$rpp?>">Mostrando <?= $rpp ?></option>
				<option>5</option>
				<option>10</option>
				<option>15</option>
				<option>20</option>
				<option>25</option>
				<option>30</option>
				<option>50</option>
				<option>100</option>
			</select>
		</form>
	</div>
</div>

<!-- Generamos la tabla con los datos de los banner -->
		<table class="tabla_banner" id="tabla_banner">
				<thead>
					<tr class="banner">
						<th class="vacio">&nbsp;</th>
						<th class="tbanner"><a href="javascript:void( 0 );">Banner</a></th>
						<th class="tbanner"><a href="javascript:void( 0 );">carpeta_banner</a></th>
                        <th class="torden"><a href="javascript:void( 0 );">Orden</a></th>
						<th class="tcondicion"><a href="javascript:void( 0 );">Condici&oacute;n</a></th>
                        <th class="ttitulo"><a href="javascript:void( 0 );">Titulo</a></th>
                        <th class="tidioma"><a href="javascript:void( 0 );">Idioma</a></th>
                        <th class="turl"><a href="javascript:void( 0 );">url</a></th>
                        <th class="turl"><a href="javascript:void( 0 );">Target</a></th>
                        <th class="teditar"><a href="javascript:void( 0 );">Editar</a></th>
						<th class="testado"><a href="javascript:void( 0 );">Estado</a></th>
					</tr>
				</thead>
				<tbody>
                <?php
					//si este proceso a funcionado se muestra un mensaje que pone que se a insertado satisfactoriamente
					while($fila = mysqli_fetch_array($baners)){
		?>
                <tr class="fila_codigo_promocional" id="codigo_promocional_<?=$fila['codigo'];?>">

					<td class="borrar_codigo" data-codigo="<?=$fila['codigo']?>">
                    	<a href="<?=Shop::$configuracion->url;?>admin/banners.php?accion=borrar_banner&cod_banner=<?=$fila['codigo'];?>" title="Borrar banner" onClick="if (!confirm(¿Desea eliminar este banner?')) return(false);">
                        	<img src="<?=Shop::$configuracion->url;?>admin/images/borrar.png" title="Borrar banner" />
                        </a>
					</td>
				
						<?php
						if(!preg_match("/almacen_img/",$fila['imagen'])){
						//echo "entra";
						$imagen = "almacen_img/".$fila["imagen"];
					}else{
						$imagen = $fila['imagen'];
					}
					?>
					<td class="t_banner" data-nombre="<?= $imagen?>">
					<?php
						/* 
						<a href="javascript:void(0)" title="Ampliar"><img src="<?=Shop::$configuracion->url?>perso/images/cabecera_email.jpg" alt="<?=$fila['titulo'];?>" /></a>
						
						*/
					?>
						<a href="javascript:void(0)" title="Ampliar"><img src="<?=Shop::$configuracion->url?><?=$imagen?>" alt="<?=$fila['titulo'];?>" /></a> 
					</td>
					<td class="td_carpeta_banner">
<?php
	//chapuza para poder mostrar la carpeta_banner :D
						$exp = explode('/',$fila['imagen']);
						$str = "";
						for($i = 0; $i < count($exp)-1;$i++){
							$str .= $exp[$i].'/';
						}
						echo "<strong>".$str."</strong>";
?>		
					</td>
                        <td class="t_orden">	
							<?=$fila['orden'];?>
						</td>
						<td class="t_condicion">
							<?=$fila['condicion'];?>
						</td>
                        <td class="t_titulo">
							<?=$fila['titulo'];?>
						</td>
                        <td class="t_idioma">
                        	<?=$fila['idioma'];?>
                        </td>
                        <td class="t_url">
							<?=$fila['url'];?>
						</td>
						<td>
							<?=$fila['target'] ?>
						</td>
						<td class="teditar">
							<button class="btn btn-editar">Editar</button>
						</td>
						<td class="t_estado">
						<?php
                        if($fila['activo']==0){
							
							?>
                             <a href="<?=Shop::$configuracion->url;?>admin/banners.php?accion=activar_banner&cod_banner=<?=$fila['codigo'];?>" title="Pinchar para habilitar este banner" ><img src="<?=Shop::$configuracion->url;?>admin/images/Red.png" width="14" height="14" alt="Deshabilitado" title="Deshabilitado" /></a>
							<?php
                            
						}else{
							?>
                             <a href="<?=Shop::$configuracion->url;?>admin/banners.php?accion=desactivar_banner&cod_banner=<?=$fila['codigo'];?>" title="Pinchar para deshabilitar este banner" ><img src="<?=Shop::$configuracion->url;?>admin/images/Green.png" width="14" height="14" alt="Habilitado" title="Habilitado" /></a>
							<?php
							
                            }
						?>                        	
                        </td>
						
                    </tr>
                    <?php
					}
		?>
                <tr style="text-align:center">
                    <th colspan="12">
                        <?= $enlaces['inicio']; ?>
                        <?= $enlaces['anterior']; ?>
                        <?= $enlaces['primero']; ?>
                        <?= $enlaces['segundo']; ?>
                        <?= $enlaces['actual']; ?><!-- normalmente -->
                        <?= $enlaces['cuarto']; ?>
                        <?= $enlaces['quinto']; ?>
                        <?= $enlaces['siguiente']; ?>
                        <?= $enlaces['ultimo']; ?>
                    </th>
                </tr>
				</tbody>
				<tfoot>
					<tr class="foot_tabla">
						<td colspan="7" class="pie_tabla"></td>
					</tr>
				</tfoot>
			</table>
		<?php
        //include("comunes/pie.php");
		
        ?>
<script>
function formEdit(){
	$("#crear_codigo").val("Modificar");
	var padre = $(this).parent().parent();
	var array = padre.children();
	var opcion = $(".posicion");
	console.log(array);
	$('.aviso_ban').show();
	$("#accion").val("update_ban");
	$("#titulo_banner").val(array[5].innerText);
	$("#url_banner").val(array[7].innerText);
	$("#condicion").val(array[4].innerText);
	$("#select_idioma").val(array[6].innerText);
	$("#orden").val(array[3].innerText);
	$("#codigo").val(array[0].dataset.codigo);
	$("#nombre_banner").val(array[1].dataset.nombre);
	$("#img_prev").attr("src","<?=Shop::$configuracion->url?>"+array[1].dataset.nombre);
	var name = array[1].dataset.nombre;
	name = name.replace(".","\\.");
	//preparamos la simulacion del click
	$(".imagen_f[data-nombre='"+name+"']").find("a.seleccionar").click();
}
	$(document).ready(function (){
	//Por asegurarnos de que todo funcione como debe esperamos que el DOM cargue antes de asignar ningun evento.
		$('.btn-editar').click(formEdit);
		$('#rpp').change(function(){
			$(this).parent().submit();
		});		
	});
</script>
<script src="js/armimanager.js"></script>
    </body>
</html>
<?php

}
//include("post-pagina.php");
?>